# TdApi.PushMessageContent (TDLight API 4.0.458 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: PushMessageContent

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PushMessageContent

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PushMessageContent

Direct Known Subclasses:
  `TdApi.PushMessageContentAnimation`, `TdApi.PushMessageContentAudio`, `TdApi.PushMessageContentBasicGroupChatCreate`, `TdApi.PushMessageContentChatAddMembers`, `TdApi.PushMessageContentChatChangePhoto`, `TdApi.PushMessageContentChatChangeTitle`, `TdApi.PushMessageContentChatDeleteMember`, `TdApi.PushMessageContentChatJoinByLink`, `TdApi.PushMessageContentChatJoinByRequest`, `TdApi.PushMessageContentChatSetBackground`, `TdApi.PushMessageContentChatSetTheme`, `TdApi.PushMessageContentContact`, `TdApi.PushMessageContentContactRegistered`, `TdApi.PushMessageContentDocument`, `TdApi.PushMessageContentGame`, `TdApi.PushMessageContentGameScore`, `TdApi.PushMessageContentHidden`, `TdApi.PushMessageContentInvoice`, `TdApi.PushMessageContentLocation`, `TdApi.PushMessageContentMediaAlbum`, `TdApi.PushMessageContentMessageForwards`, `TdApi.PushMessageContentPhoto`, `TdApi.PushMessageContentPoll`, `TdApi.PushMessageContentRecurringPayment`, `TdApi.PushMessageContentScreenshotTaken`, `TdApi.PushMessageContentSticker`, `TdApi.PushMessageContentStory`, `TdApi.PushMessageContentSuggestProfilePhoto`, `TdApi.PushMessageContentText`, `TdApi.PushMessageContentVideo`, `TdApi.PushMessageContentVideoNote`, `TdApi.PushMessageContentVoiceNote`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.PushMessageContent extends TdApi.Object permits TdApi.PushMessageContentHidden, TdApi.PushMessageContentAnimation, TdApi.PushMessageContentAudio, TdApi.PushMessageContentContact, TdApi.PushMessageContentContactRegistered, TdApi.PushMessageContentDocument, TdApi.PushMessageContentGame, TdApi.PushMessageContentGameScore, TdApi.PushMessageContentInvoice, TdApi.PushMessageContentLocation, TdApi.PushMessageContentPhoto, TdApi.PushMessageContentPoll, TdApi.PushMessageContentScreenshotTaken, TdApi.PushMessageContentSticker, TdApi.PushMessageContentStory, TdApi.PushMessageContentText, TdApi.PushMessageContentVideo, TdApi.PushMessageContentVideoNote, TdApi.PushMessageContentVoiceNote, TdApi.PushMessageContentBasicGroupChatCreate, TdApi.PushMessageContentChatAddMembers, TdApi.PushMessageContentChatChangePhoto, TdApi.PushMessageContentChatChangeTitle, TdApi.PushMessageContentChatSetBackground, TdApi.PushMessageContentChatSetTheme, TdApi.PushMessageContentChatDeleteMember, TdApi.PushMessageContentChatJoinByLink, TdApi.PushMessageContentChatJoinByRequest, TdApi.PushMessageContentRecurringPayment, TdApi.PushMessageContentSuggestProfilePhoto, TdApi.PushMessageContentMessageForwards, TdApi.PushMessageContentMediaAlbum
This class is an abstract base class. Contains content of a push message notification.

## Constructor Summary

Constructors
Constructor
Description
`PushMessageContent()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PushMessageContent

public PushMessageContent()
Default class constructor.